//
//  EQLCIPAddress.h
//  EQLibCFramework
//
//  Created by Christina Zeeh on 7/14/09.
//  Copyright 2009 equinux AG. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#ifdef BUILD_EQ_LIBC_FRAMEWORK
#include "com/equinux/net/IPAddress.h"
#endif

@interface EQLCIPAddress : NSObject {
#ifdef BUILD_EQ_LIBC_FRAMEWORK
	com_equinux_net_IPAddress ipAddress;
#else
	void * ipAddress;
#endif
}

+ (EQLCIPAddress *)ipAddressFromString:(NSString *)ipOrHostname;
+ (EQLCIPAddress *)ipAddressFromStringNoDNS:(NSString *)ip;

- (EQLCIPAddress *)initWithString:(NSString *)ipOrHostname;
- (EQLCIPAddress *)initWithStringNoDNS:(NSString *)ip;

@end
